# Visualization
TKService
Xw

# Xw_FontMap Class Reference

This class defines a FontMap object.
.

`#include <Xw_FontMap.hxx>`

## Public Member Functions

Standard_EXPORT | Xw_FontMap (const Standard_CString Connexion)
| Creates a FontMap with an unallocated FontMapEntry. .
virtual Standard_EXPORT void | SetEntry (const Aspect_FontMapEntry &Entry)
| Modifies an entry already defined or adds <entry> in the font map <me> if it don't exist. //! Warning if FontMap size is exceeded. or FontMap is not defined properly or FontMapEntry Index is out of range according to the supported hardware .
virtual Standard_EXPORT void | SetEntries (const Handle(Aspect_FontMap)&Fontmap)
| Modifies all entries of <me> from the new Fontmap. //! Warning if FontMap size is exceeded. or FontMap is not defined properly or One of new FontMapEntry Index is out of range according to the supported hardware .
virtual Standard_EXPORT void | Destroy ()
| Destroies the Fontmap .
| ~Xw_FontMap ()
Standard_EXPORT Standard_Integer | FreeFonts () const
| Returns the number of Free Fonts in the Fontmap depending of the HardWare .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Member Functions

Standard_EXPORT | Xw_FontMap ()
Standard_EXPORT Standard_Address | ExtendedFontMap () const
| Returns extended data fontmap structure pointer. .

## Private Attributes

Standard_Address | MyExtendedDisplay
Standard_Address | MyExtendedFontMap

## Constructor & Destructor Documentation

Standard_EXPORT Xw_FontMap::Xw_FontMap | ( | const Standard_CString | Connexion | ) |

Xw_FontMap::~Xw_FontMap | ( |  | ) | `[inline]`

Standard_EXPORT Xw_FontMap::Xw_FontMap | ( |  | ) | `[protected]`

## Member Function Documentation

virtual Standard_EXPORT void Xw_FontMap::Destroy | ( |  | ) | `[virtual]`

Standard_EXPORT Standard_Address Xw_FontMap::ExtendedFontMap | ( |  | ) | const`[protected]`

Standard_EXPORT Standard_Integer Xw_FontMap::FreeFonts | ( |  | ) | const

Standard_EXPORT const Xw_FontMap::Handle | ( | Standard_Type |  | ) | const

virtual Standard_EXPORT void Xw_FontMap::SetEntries | ( | const Handle(Aspect_FontMap)& | Fontmap | ) | `[virtual]`

virtual Standard_EXPORT void Xw_FontMap::SetEntry | ( | const Aspect_FontMapEntry & | Entry | ) | `[virtual]`

## Field Documentation

Standard_Address Xw_FontMap::MyExtendedDisplay `[private]`

Standard_Address Xw_FontMap::MyExtendedFontMap `[private]`

The documentation for this class was generated from the following file:

- Xw_FontMap.hxx